Bug 190502 - Review Request: sportstracker
Review Request: sportstracker
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 20:16 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-17 18:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-05-02 20:16:29 EDT
Spec URL: http://piedmont.homelinux.org/fedora/sportstracker/sportstracker.spec
SRPM URL: http://piedmont.homelinux.org/fedora/sportstracker/sportstracker-1.2.1-1.src.rpm
Description: SportsTracker is an application for people which want to record their
sporting activities. It is not bound to a specific kind of sport, the user
can create categories for all sport types which are endurance related,
such as cycling, running or swimming.
Comment 1 Michael A. Peters 2006-05-06 02:42:29 EDT
Not a review - I've never reviewed a package that builds with mono before, so I
want to watch some be reviewed first.

But one thing I noticed :

http://fedoraproject.org/wiki/Packaging/Mono

It says

All mono packages need to be in /usr/lib rather than whereever %{_libdir}
happens to point to. There is a simple method to ensure this happens. At the
start of the spec file have the line

%define _libdir /usr/lib

-=-
Is that applicable to this package?
Comment 2 Brian Pepple 2006-05-06 17:49:00 EDT
Spec URL: http://piedmont.homelinux.org/fedora/sportstracker/sportstracker.spec
SRPM URL:
http://piedmont.homelinux.org/fedora/sportstracker/sportstracker-1.2.1-2.src.rpm

* Sat May  6 2006 Brian Pepple <bdpepple@ameritech.net> - 1.2.1-2
- Use %%{prefix}/lib.
- Drop unnecessary Requires.
Comment 3 John Mahowald 2006-05-28 12:17:44 EDT
When first started, it gives a fatal looking error, "Failed to load application
data! Starting with empty lists.
See console output for more informations."

Creation of a sport type made it go away on the next startup, however. I assume
this happens with SportsTracker itself.

* debuginfo package is empty, should be disabled, like how I mention in the new
hint from the mono packaging tips: http://fedoraproject.org/wiki/Packaging/Mono

* README.txt has potentially useful information, though the install information
is not relevant. Consider including, and possibly the other docs.

- rpmlint checks return:
E: sportstracker hardcoded-library-path in %{_prefix}/lib/%{name}/
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

The usual hack to get it to install to /usr/lib on x86_64. Another way of doing
it is to redefine %_libdir but I don't think there's a preference.

E: sportstracker no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

Yet it installs to %_libdir.

E: sportstracker only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

mono stuff is in /usr/lib. Ignore.

- naming guidelines: capitalization. Authors call it SportsTracker. If they
insist on the capitalization it should be SportsTracker.

- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled with %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- consider submitting .desktop file to SportsTracker

Comment 4 Brian Pepple 2006-05-28 12:57:05 EDT
Spec URL: http://piedmont.homelinux.org/fedora/sportstracker/sportstracker.spec
SRPM URL:
http://piedmont.homelinux.org/fedora/sportstracker/sportstracker-1.2.1-3.src.rpm

* Sun May 28 2006 Brian Pepple <bdpepple@ameritech.net> - 1.2.1-3
- Disable debuginfo.
- Use libdir macro.
- Add README.txt

Author doesn't care about capitilation on name, so this isn't going to be
changed.  Regardless, this will be changing upstream in the near future, once I
finish modifing it to use a more traditional build set-up.
Comment 5 Parag AN(पराग) 2006-06-01 00:57:14 EDT
You have not Changes Source versions' release. Your Inital version was 1.2.1-1.
Then you made Chnages in SPEC so it became 1.2.1-2 but then you added README
that mean Changed Source tarball. but still source verison is same 1.2.1 you
should increase it to 1.2.2
Comment 6 Brian Pepple 2006-06-01 07:43:06 EDT
The README was already included in the tarball, there is not reason to increase
version.  Ignoring comment #5, which makes no sense.
Comment 7 Brian Pepple 2006-06-04 15:10:43 EDT
Spec URL: http://piedmont.homelinux.org/fedora/sportstracker/sportstracker.spec
SRPM URL:
http://piedmont.homelinux.org/fedora/sportstracker/sportstracker-2.0.0-1.src.rpm

* Sun Jun  4 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.0-1
- Update to 2.0.0.
- Add requires on mono-core.
Comment 8 Brian Pepple 2006-06-17 18:55:13 EDT
Closing until Mono guidelines are finalized.  Once they are, I'll submit again.

Note You need to log in before you can comment on or make changes to this bug.